It is currently Fri Nov 17, 2017 5:11 pm


All times are UTC




Post new topic Reply to topic  [ 37 posts ]  Go to page Previous  1, 2, 3, 4  Next
Author Message
 Post subject: Re: *NEW* GNS3 Topology Converter
PostPosted: Thu Sep 04, 2014 6:13 pm 
Offline

Joined: Sun Sep 16, 2012 9:55 pm
Posts: 541
Location: England
To use the converter on Windows, install it using the setup file provided at https://github.com/dlintott/gns3-conver ... ses/latest

After installation open either a command prompt or powershell
You can then run gns3-converter.exe from there, following the same procedure as outlined in the docs: http://gns3-converter.readthedocs.org/e ... ml#example



_________________
Daniel
Forum Moderator & Debian Package Maintainer for GNS3, Dynamips & VPCS.
Standalone DEB Packages are available from http://gns3.serverb.co.uk - To be updated!


Top
 Profile  
 
 Post subject: Re: *NEW* GNS3 Topology Converter
PostPosted: Sat Sep 06, 2014 7:49 pm 
Offline

Joined: Sun Apr 25, 2010 4:57 pm
Posts: 214
claydon_dan wrote:
To use the converter on Windows, install it using the setup file provided at https://github.com/dlintott/gns3-conver ... ses/latest

After installation open either a command prompt or powershell
You can then run gns3-converter.exe from there, following the same procedure as outlined in the docs: http://gns3-converter.readthedocs.org/e ... ml#example


Daniel, whatever Im doing it show this:

C:\Program Files (x86)\GNS3 Converter>gns3-converter
GNS3 Topology Converter
[E 140906 20:39:18 __init__:1790] Cannot open topology file
Traceback (most recent call last):
File "C:\Users\daniel\Documents\GitHub\gns3-converter\gns3converter\converter.
py", line 71, in read_topology
FileNotFoundError: [Errno 2] No such file or directory: 'C:\\Program Files (x86)
\\GNS3 Converter\\topology.net'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Python34\lib\site-packages\cx_Freeze\initscripts\Console.py", line 27
, in <module>
File "gns3-converter.py", line 17, in <module>
File "C:\Users\daniel\Documents\GitHub\gns3-converter\gns3converter\main.py",
line 57, in main
File "C:\Users\daniel\Documents\GitHub\gns3-converter\gns3converter\main.py",
line 94, in do_conversion
File "C:\Users\daniel\Documents\GitHub\gns3-converter\gns3converter\converter.
py", line 84, in read_topology
NameError: name 'exit' is not defined


It seems want to go in path what is coded in pyton, but I really dont know how to correct this... (User daniel) !!!

Please step by step how to convert labs please ! Windows environment.


Top
 Profile  
 
 Post subject: Re: *NEW* GNS3 Topology Converter
PostPosted: Sun Sep 07, 2014 10:41 am 
Offline

Joined: Sun Sep 16, 2012 9:55 pm
Posts: 541
Location: England
Indeed that is a problem! I seem to remember I changed the code slightly that handled the paths fro Windows... I shall look into this for you.

You can track this issue via the issue tracker on Github: https://github.com/dlintott/gns3-converter/issues/9

_________________
Daniel
Forum Moderator & Debian Package Maintainer for GNS3, Dynamips & VPCS.
Standalone DEB Packages are available from http://gns3.serverb.co.uk - To be updated!


Top
 Profile  
 
 Post subject: Re: *NEW* GNS3 Topology Converter
PostPosted: Tue Sep 09, 2014 9:44 pm 
Offline

Joined: Sun Sep 16, 2012 9:55 pm
Posts: 541
Location: England
This issue should now be fixed in the version 0.3.2

_________________
Daniel
Forum Moderator & Debian Package Maintainer for GNS3, Dynamips & VPCS.
Standalone DEB Packages are available from http://gns3.serverb.co.uk - To be updated!


Top
 Profile  
 
 Post subject: Re: *NEW* GNS3 Topology Converter
PostPosted: Thu Sep 11, 2014 6:04 pm 
Offline

Joined: Thu Sep 11, 2014 5:24 pm
Posts: 3
I'm running on linux mint 16. Installation with pip was without error, but I get this error when trying to convert. Is it a python version issue??

Code:
[email protected] ~/gns3/CCIP_MPLS_FULL $ gns3-converter
GNS3 Topology Converter
Traceback (most recent call last):
  File "/usr/local/bin/gns3-converter", line 9, in <module>
    load_entry_point('gns3-converter==0.3.2', 'console_scripts', 'gns3-converter')()
  File "/usr/local/lib/python3.3/dist-packages/gns3converter/main.py", line 60, in main
    do_conversion(topology, args)
  File "/usr/local/lib/python3.3/dist-packages/gns3converter/main.py", line 97, in do_conversion
    old_top = gns3_conv.read_topology()
  File "/usr/local/lib/python3.3/dist-packages/gns3converter/converter.py", line 78, in read_topology
    encoding='utf-8')
  File "/usr/local/lib/python3.3/dist-packages/configobj.py", line 1229, in __init__
    self._load(infile, configspec)
  File "/usr/local/lib/python3.3/dist-packages/configobj.py", line 1325, in _load
    self._handle_configspec(configspec)
  File "/usr/local/lib/python3.3/dist-packages/configobj.py", line 1942, in _handle_configspec
    _inspec=True)
  File "/usr/local/lib/python3.3/dist-packages/configobj.py", line 1229, in __init__
    self._load(infile, configspec)
  File "/usr/local/lib/python3.3/dist-packages/configobj.py", line 1287, in _load
    content = self._handle_bom(content)
  File "/usr/local/lib/python3.3/dist-packages/configobj.py", line 1477, in _handle_bom
    if six.PY2 and isinstance(line, str):
AttributeError: 'module' object has no attribute 'PY2'


Top
 Profile  
 
 Post subject: Re: *NEW* GNS3 Topology Converter
PostPosted: Thu Sep 11, 2014 6:23 pm 
Offline

Joined: Sun Sep 16, 2012 9:55 pm
Posts: 541
Location: England
Most likely this is due to an old version of the six module (http://stackoverflow.com/questions/2408 ... ribute-py2)

Code:
pip3 install --upgrade six
should hopefully resolve the issue

_________________
Daniel
Forum Moderator & Debian Package Maintainer for GNS3, Dynamips & VPCS.
Standalone DEB Packages are available from http://gns3.serverb.co.uk - To be updated!


Top
 Profile  
 
 Post subject: Re: *NEW* GNS3 Topology Converter
PostPosted: Thu Sep 11, 2014 6:40 pm 
Offline

Joined: Thu Sep 11, 2014 5:24 pm
Posts: 3
That fixed it! You are the man


Top
 Profile  
 
 Post subject: Re: *NEW* GNS3 Topology Converter
PostPosted: Sun Sep 14, 2014 2:33 pm 
Offline

Joined: Sun Sep 14, 2014 2:28 pm
Posts: 1
I am running OS 10.10 DP7 and am seeing the following error after installing and then running gns3-converter 0.3.2

[email protected]:~/GNS3/projects/BGP-GNS3$ gns3-converter
GNS3 Topology Converter
Traceback (most recent call last):
File "/usr/local/bin/gns3-converter", line 9, in <module>
load_entry_point('gns3-converter==0.3.2', 'console_scripts', 'gns3-converter')()
File "build/bdist.macosx-10.10-intel/egg/gns3converter/main.py", line 60, in main
File "build/bdist.macosx-10.10-intel/egg/gns3converter/main.py", line 104, in do_conversion
File "build/bdist.macosx-10.10-intel/egg/gns3converter/converter.py", line 173, in generate_nodes
File "build/bdist.macosx-10.10-intel/egg/gns3converter/node.py", line 34, in __init__
TypeError: super() takes at least 1 argument (0 given)

Any help is appreciated.

-Scott



************Answered my own question***************

I needed to change the python path in /usr/local/bin/gns3-converter

from #!/usr/bin/python
to #!/usr/local/bin/python3


Top
 Profile  
 
 Post subject: Re: *NEW* GNS3 Topology Converter
PostPosted: Sun Oct 05, 2014 1:57 pm 
Offline

Joined: Thu May 16, 2013 10:51 am
Posts: 6
I converted a couple of topology files except for the one attached in case the dev wants to take a look at it

sp labs $ gns3-converter -n sp\-bb sp\-bb.net
GNS3 Topology Converter
Traceback (most recent call last):
File "/Library/Frameworks/Python.framework/Versions/3.4/bin/gns3-converter", line 9, in <module>
load_entry_point('gns3-converter==0.3.5', 'console_scripts', 'gns3-converter')()
File "/Library/Frameworks/Python.framework/Versions/3.4/lib/python3.4/site-packages/gns3converter/main.py", line 60, in main
do_conversion(topology, args)
File "/Library/Frameworks/Python.framework/Versions/3.4/lib/python3.4/site-packages/gns3converter/main.py", line 104, in do_conversion
new_top.nodes = gns3_conv.generate_nodes(topology)
File "/Library/Frameworks/Python.framework/Versions/3.4/lib/python3.4/site-packages/gns3converter/converter.py", line 200, in generate_nodes
tmp_node.add_device_items(item, devices[device])
File "/Library/Frameworks/Python.framework/Versions/3.4/lib/python3.4/site-packages/gns3converter/node.py", line 161, in add_device_items
self.calc_ethsw_port(item, device[item])
File "/Library/Frameworks/Python.framework/Versions/3.4/lib/python3.4/site-packages/gns3converter/node.py", line 244, in calc_ethsw_port
'port': port_def[2]}
IndexError: list index out of range


Attachments:
sp-bb.net [9.02 KiB]
Downloaded 200 times
Top
 Profile  
 
 Post subject: Re: *NEW* GNS3 Topology Converter
PostPosted: Mon Oct 06, 2014 8:07 pm 
Offline

Joined: Sun Sep 16, 2012 9:55 pm
Posts: 541
Location: England
gns3er wrote:
I converted a couple of topology files except for the one attached in case the dev wants to take a look at it
[SNIP]
IndexError: list index out of range

Thankyou for the report... I shall take a look at it and see where the issue is. For a first glance I suspect it may have something to do with the ATM Switch... But I shall take a proper look soon



_________________
Daniel
Forum Moderator & Debian Package Maintainer for GNS3, Dynamips & VPCS.
Standalone DEB Packages are available from http://gns3.serverb.co.uk - To be updated!


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 37 posts ]  Go to page Previous  1, 2, 3, 4  Next

All times are UTC


Who is online

Users browsing this forum: No registered users and 0 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB® Forum Software © phpBB Group

phpBB SEO